#include <iostream>
#include <fstream>
using namespace std;
int main() 
{
	ifstream f1 ("snton.inp");
	int N,i,ok=0;
	f1>>N;
	f1.close();
	ofstream f2("snton.out");
	for(int i=2;i*i<N;i++)
	{
		if(N%i==0){ok=1;break;}
	}
	if(ok==1){f2<<"No";}
	else{f2<<"Yes";}
	return 0;
	f2.close();	
}

